Name: xenstoreprovider
Version: 3.0
Release: 17%{?dist}
Summary: Xenstore provider for Oracle VM VMAPI
License: LGPL
Group: Development/Libraries
URL: http://www.oracle.com/virtualization
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libovmapi-devel >= 3.2
Requires: libovmapi >= 3.2

Patch1:dummy.patch
Patch2: patch9780.patch_2971
Patch3: patch5606.patch_11704
Patch4: patch3572.patch_14026
Patch5: rev37.patch
Patch6: rev47.patch
Patch7: set-fd-cloexec-to-dev-ovmapi.patch
Patch8: rev67.patch
Patch9: add-kmod-ovmapi-uek-dependency.patch
Patch10: xenstoreprovider-remove-kmod-ovmapi-uek-dependency.patch
Patch11: rev133.patch
Patch12: rev173.patch
Patch13: rev220.patch
Patch14: rev247.patch
# End Oracle Patches

%description
Xenstore provider for Oracle VM VMAPI.

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
/usr/libexec/ovmapi/

%changelog
* Tue Mar 22 2016 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 3.0-17 
- Reviewed-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Random signals could be blocked within xs_AsyncHandler. [bug 22638859]  

* Thu Oct 29 2015 Kevin Lyons <kevin.x.lyons@oracle.com> - 3.0-16 
- Require libovmapi-devel >= 3.2

* Thu Oct 29 2015 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 3.0-15 
- Reviewed-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Added debug build mode, fixed compiler warnings. 

* Fri Oct 02 2015  Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 3.0-14
- Requires libovmapi [bug 21877857] 

* Tue Sep 29 2015  Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 3.0-13 
- Reviewed-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Use ovmjson library from libovmapi package instead of cJSON.c in ovmd and xenstoreprovider. [bug 21877857]  

* Fri Mar 28 2014 keshav Sharma <keshav.sharma@oracle.com> - 3.0-12 
- Update license headers in source

* Wed Jan 09 2013 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-11 
- Change from Wim.  Prevent malformed eventData from creating segfault. 

* Wed Dec 12 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-10 
- Remove kmod-ovmapi-uek dependency.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Tianyue Lan <tianyue.lan@oracle.com> [bug 15981576]  

* Thu Feb 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-9 
- add dependency for kmod-ovmapi-uek
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Fri Nov 18 2011 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-8 
- Fix ordering issue with VMAPI event JSON decoding 

* Thu Nov 03 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-7 
- set FD_CLOEXEC to file descriptor of /dev/ovmapi [bug 13105227] 

* Wed Nov 02 2011 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-6 
- Add some protection versus malformed vmapi events 

* Tue Nov 01 2011 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-5 
- Implement incoming events 

* Fri Aug 05 2011 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-4 
- Free event memory after callback complete 

* Fri Aug 05 2011 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-3 
- Free event memory properly 

* Fri Aug 05 2011 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-2 
- Fix bug where events can get stuck in the kernel 

* Mon Jun 06 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-1 
- Initial build.
